import { jsx } from "react/jsx-runtime";
import { WebcamIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Webcam = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Webcam", ...props, children: /* @__PURE__ */ jsx(WebcamIcon, { weight: variant }) });
  }
);
Webcam.displayName = "Webcam";
Object.assign(Webcam, { isGdsIcon: true });
export {
  Webcam
};
